;      PROGRAMA PARA EL DIBUJO DE RODAMIENTOS AXIALES DE BOLAS
(defun C:RodaxBol ()
       (vmon)
       (setq pbx (getvar "pickbox"))
       (setq osnp (getvar "osmode"))
       (command "_setvar" "PICKBOX" 0)
       (command "_setvar" "OSMODE" 0)
       (setq PI (getpoint "\Punto de insercion: "))
       (setq Dej (getdist "\nDiametro del eje:<<d>> "))
       (setq Dag (getdist "\nDiametro del agujero:<<D>> "))
       (setq B (getdist "\nAncho del rodamiento:<<B>> "))
       (setq Dpi (getdist "\nDiametro de la pista inferior:<<d2>> "))
       (setq Dps (getdist "\nDiametro de la pista superior:<<D1>> "))
       (setq r12 (getdist "\nr1,r2:<<r1,2>> "))
       (setq PIx (car PI))
       (setq PIy (car (cdr PI)))
       (setq Deji (/ Dej 2))
       (setq Dagi (/ Dag 2))
       (setq Dpsi (/ Dps 2))
       (setq Dpii (/ Dpi 2))
       (setq r (/ B 4))
       (setq PE1 (list (- PIx (/ B 20)) PIy))
       (setq PE2 (list (+ PIx B (/ B 20)) PIy))
       (setq PM (list (+ PIx B) PIy))
       (setq PL1 (list PIx (+ PIy Deji r12)))
       (setq PL2 (list (+ PIx r12) (+ PIy Deji)))
       (setq PL3 (list (+ PIx (- B r12)) (+ PIy Deji)))
       (setq PL4 (list (+ PIx B) (+ PIy Deji r12)))
       (setq PL5 (list PIx (+ PIy Dpii)))
       (setq PL6 (list (+ PIx B) (+ PIy Dpii)))
       (setq PL7 (list PIx (+ PIy Dpsi)))
       (setq PL8 (list (+ PIx B) (+ PIy Dpsi)))
       (setq PL9 (list PIx (+ PIy (- Dagi r12))))
       (setq PL10 (list (+ PIx r12) (+ PIy Dagi)))
       (setq PL11 (list (- (+ PIx B) r12) (+ PIy Dagi)))
       (setq PL12 (list (+ PIx B) (+ PIy (- Dagi r12))))
       (setq PC1 (list (+ PIx (/ B 4)) (+ PIy Dpii (/ (- Dpsi Dpii) 2))))
       (setq PC2 (list (+ PIx (* 3 (/ B 4))) (+ PIy Dpii (/ (- Dpsi Dpii) 2))))
       (setq PA1 (list (+ PIx (/ B 12)) (+ PIy Dpii)))
       (setq PA2 (list (+ PIx (/ B 4)) (- (+ PIy Dpii (/ (- Dpsi Dpii) 2)) r)))
       (setq PA3 (list (- (+ PIx (/ B 2)) (/ B 12)) (+ PIy Dpii)))
       (setq PA4 (list (+ PIx (/ B 2) (/ B 12)) (+ PIy Dpii)))
       (setq PA5 (list (+ PIx (* 3 (/ B 4))) (- (+ PIy Dpii (/ (- Dpsi Dpii) 2)) r)))
       (setq PA6 (list (- (+ PIx B) (/ B 12)) (+ PIy Dpii)))
       (setq PTR1 (list (+ PIx (/ B 4)) (+ PIy Dpii)))
       (setq PTR2 (list (+ PIx (* 3 (/ B 4))) (+ PIy Dpii)))
       (setq PS1 (list (+ PIx (/ B 2)) (+ PIy Dpii)))
       (setq PA (list (+ PIx (/ B 4)) (+ (+ PIy Dpii (/ (- Dpsi Dpii) 2)) r)))
       (setq PW1 (list PIx (+ PIy Dagi)))
       (setq PW2 (list (+ PIx B) (+ PIy Deji)))
       (setq PH1 PW1)
       (setq PH2 PL8) 
       (setq PH3 PL5)
       (setq PH4 PW2) 
       (setq PH5 (list PIx (- PIy Deji)))
       (setq PH6 (list (+ PIx B) (- PIy Dpii)))
       (setq PH7 (list PIx (- PIy Dpsi)))
       (setq PH8 (list (+ PIx B) (- PIy Dagi)))
       (command "_zoom" "_w" PW1 PM)
       (command "_line" PI PL1 "")
       (command "_line" PM PL4 "")
       (command "_line" PL2 PL3 "")
       (command "_line" PL1 PL5 "")
       (command "_line" PL4 PL6 "")
       (command "_line" PL5 PL6 "")
       (command "_line" PL5 PL7 "")
       (command "_line" PL6 PL8 "")
       (command "_line" PL7 PL9 "")
       (command "_line" PL8 PL12 "")
       (command "_line" PL10 PL11 "")
       (command "_fillet" "_r" r12)
       (command "_fillet" PL1 PL2)
       (command "_fillet"  PL3 PL4)
       (command "_fillet"  PL9 PL10)
       (command "_fillet"  PL11 PL12)
       (command "_circle" PC1 r)
       (command "_circle" PC2 r)
       (command "_arc" PL7 "_tang" PA PL8)
       (command "_zoom" "_w" PW1 PW2)
       (command "_trim" PTR1 PA2 PA5 "" PTR1 PTR2 PA2 PA5 "")
       (command "_zoom" "_p")
       (command "_setvar" "aperture" 6)
       (command "_arc" "_int" PA1 PA2 "_int" PA3)
       (command "_arc" "_int" PA4 PA5 "_int" PA6)
       (command "_setvar" "aperture" 3)
       (command "_zoom" "_w" PW1 PH8)
       (command "_mirror" "_w" PW1 PM "" PE1 PE2 "")
       (command "_color" 4 "")
       (command "_line" PE1 PE2 "")
       (command "_color" 3 "")
       (command "_hatch" "ansi31" 20 0 "_w" PH1 PH2 "")
       (command "_hatch" "ansi31" 20 0 "_w" PH3 PH4 "") 
       (command "_hatch" "ansi31" 20 0 "_w" PH5 PH6 "")
       (command "_hatch" "ansi31" 20 0 "_w" PH7 PH8 "") 
       (command "_color" "_bylayer")
       (command "_setvar" "PICKBOX" PBX)
       (command "_setvar" "OSMODE" OSNP)
)

